Galah Group General Public License, Version 1, April 2013 (GG-GPL)
===========================================

Copyright `<year>` `<copyright holders>`

Everyone is permitted to copy and distribute verbatim copies of this license
document, but changing it is not allowed.

TERMS AND CONDITIONS
--------------------

### 0. Definitions.

"This License" refers to the Galah Group General Public License Version 1.

An "Organization" is a corporation or any entity such as an LLC, S.A., 
ApS, GmbH, association, partnership, or other nonprofit, educational, or 
business organization that is legally recognized as having some or all 
aspects of legal personage.

"The Program" refers to any copyrightable work licensed under this License.

Each licensee is addressed as "you". "Licensees" and "recipients" may be 
individuals or Organizations. An individual using The Program for the 
benefit of an Organization may only accept the terms of this License on 
behalf of that Organization and not in an individual capacity, and in such 
a case "you" throughout this license will refer to the Organization. To 
"modify" a work means to copy from or adapt all or part of the work in a 
fashion requiring copyright permission, other than the making of an exact 
copy. The resulting work is called a "modified version" of the earlier 
work or a work "based on" the earlier work.

A "Covered Work" means either the unmodified Program or a work based on 
the Program.

"Access" or "Accessible" means that a person is able to either run the 
executable file of a Covered Work, or is able to access the Application 
Programming Interface of the Covered Work, or is able to access the user 
interface of the Covered Work.

To "Propagate" a work means to do anything with it that, without 
permission, would make you directly or secondarily liable for infringement 
under applicable copyright law, except executing it on a computer or 
modifying a private copy. Propagation includes copying, distribution (with 
or without modification), making available to the public, and in some 
countries other activities as well.

To "Convey" a work means any kind of propagation that enables other 
parties to make or receive copies. Mere interaction with a user through a 
computer network, with no transfer of a copy, is not Conveying.

An interactive user interface displays "Appropriate Legal Notices" to the 
extent that it includes a convenient and prominently visible feature that 
(1) displays an appropriate copyright notice, and (2) tells the user that 
there is no warranty for the work (except to the extent that warranties 
are provided), that licensees may Convey the work under this License, and 
how to view a copy of this License. If the interface presents a list of 
user commands or options, such as a menu, a prominent item in the list 
meets this criterion. An online work, such as an interactive website, may 
meet this criterion with a "Legal"or "License" link on the primary web 
page where users access the Covered Work.

A "Test Deployment" of a work is an installation that is Accessible to only one person.

A "Public Deployment" of a work is a single installation of that work that 
is Accessible to greater than one person. In situations where it is 
unclear whether a particular installation is one Public Deployment or 
multiple Public Deployments, that installation should be considered one 
Public Deployment. For example, if a Covered Work is a web application 
that has been installed on two separate computers but both installations 
share one database; or where the persons to whom a Covered Work is 
Accessible are part of the same clearly-defined subgroup of a licensee 
that is an Organization (e.g., under the same supervisor or instructor), 
an installation should be considered one Public Deployment.

### 1. Source Code.
    
The "Source Code" for a work means the preferred form of the work for 
making modifications to it. "Object Code" means any non-source form of a 
work.

A "Standard Interface" means an interface that either is an official 
standard defined by a recognized standards body, or, in the case of 
interfaces specified for a particular programming language, one that is 
widely used among developers working in that language.

The "Corresponding Source" for a work in Object Code form means all the 
Source Code needed to generate, install, and (for an executable work) run 
the Object Code and to modify the work, including scripts to control those 
activities. However, it does not include general-purpose tools or 
generally available free programs which are used unmodified in performing 
those activities but which are not part of the work such as databases, web 
servers, or other programs relaying data. Corresponding Source does 
include interface definition files associated with source files for the 
work, and the Source Code for shared libraries and dynamically linked 
subprograms that the work is specifically designed to require, such as by 
control flow between those subprograms and other parts of the work. The 
Corresponding Source need not include anything that users can regenerate 
automatically from other parts of the Corresponding Source. The 
Corresponding Source for a work in Source Code form is that same work.

### 2. Basic Permissions.

All rights granted under this License are granted for the term of 
copyright on the Program, and are irrevocable provided the stated 
conditions are met. This License explicitly affirms that you are permitted 
to install and use the Program (the "Permitted Use") in a Test Deployment 
or in Public Deployment(s) if: (a) each Public Deployment is Accessible to 
no more than 15 persons during any period of 7 days; and (b) you have no 
more than three Public Deployments during any period of 30 days.

You may make, run, and Propagate Covered Works that you do not Convey, 
without conditions, so long as doing so is Permitted Use and your license 
otherwise remains in force. You may Convey Covered Works to others for the 
sole purpose of having them make modifications exclusively for you, or 
provide you with facilities for running those works, provided that you 
comply with the terms of this License in Conveying all material for which 
you do not control copyright. Those thus making or running the Covered 
Works for you must do so exclusively on your behalf, under your direction 
and control, on terms that prohibit them from making any copies of your 
copyrighted material outside their relationship with you.

Conveying under any other circumstances is permitted solely under the 
conditions stated below. Sublicensing is not allowed; section 9 makes it 
unnecessary.

This license does not grant you rights to use any contributors' name, 
logo, or trademarks.

### 3. Protecting Users' Legal Rights From Anti-Circumvention Law.

No Covered Work shall be deemed part of an effective technological measure 
under any applicable law fulfilling obligations under article 11 of the 
WIPO copyright treaty adopted on 20 December 1996, or similar laws 
prohibiting or restricting circumvention of such measures.

When you Convey a Covered Work, you waive any legal power to forbid 
circumvention of technological measures to the extent such circumvention 
is effected by exercising rights under this License with respect to the 
Covered Work, and you disclaim any intention to limit operation or 
modification of the work as a means of enforcing, against the work's 
users, your or third parties' legal rights to forbid circumvention of 
technological measures.

### 4. Conveying Verbatim Copies.

You may Convey verbatim copies of the Program's Source Code as you receive 
it, in any medium, provided that you conspicuously and appropriately 
publish on each copy an appropriate copyright notice; keep intact all 
notices stating that this License and any non-permissive terms added in 
accord with section 7 apply to the code; keep intact all notices of the 
absence of any warranty; and give all recipients a copy of this License 
along with the Program.

You may charge any price or no price for each copy that you Convey, and 
you may offer support or warranty protection for a fee.

### 5. Conveying Modified Source Versions.

You may Convey a work based on the Program, or the modifications to 
produce it from the Program, in the form of Source Code under the terms of 
section 4, provided that you also meet all of these conditions:

* **a)** The work must carry prominent notices stating that you modified 
  it, and giving a relevant date.

* **b)** The work must carry prominent notices stating that it is released 
  under this License and any conditions added under section ### 7. This 
  requirement modifies the requirement in section 4 to "keep intact all 
  notices".

* **c)** You must license the entire work, as a whole, under this License 
  to anyone who comes into possession of a copy. This License will 
  therefore apply, along with any applicable section 7 additional terms, 
  to the whole of the work, and all its parts, regardless of how they are 
  packaged. This License gives no permission to license the work in any 
  other way, but it does not invalidate such permission if you have 
  separately received it.

* **d)** If the work has interactive user interfaces, each must display 
  Appropriate Legal Notices; however, if the Program has interactive 
  interfaces that do not display Appropriate Legal Notices, your work need 
  not make them do so.

A compilation of a Covered Work with other separate and independent works, 
which are not by their nature extensions of the Covered Work, and which 
are not combined with it such as to form a larger program, in or on a 
volume of a storage or distribution medium, is called an "aggregate"if the 
compilation and its resulting copyright are not used to limit the access 
or legal rights of the compilation's users beyond what the individual 
works permit. Inclusion of a Covered Work in an aggregate does not cause 
this License to apply to the other parts of the aggregate.

### 6. Conveying Non-Source Forms.

You may Convey a Covered Work in Object Code form under the terms of 
sections 4 and 5, provided that you also Convey the machine-readable 
Corresponding Source under the terms of this License, in one of these ways:

* **a)** Convey the Object Code in, or embodied in, a physical product
  (including a physical distribution medium), accompanied by the 
  Corresponding Source fixed on a durable physical medium customarily used 
  for software interchange.

* **b)** Convey the Object Code in, or embodied in, a physical product
  (including a physical distribution medium), accompanied by a written 
  offer, valid for at least three years and valid for as long as you offer 
  spare parts or customer support for that product model, to give anyone 
  who possesses the Object Code either (1) a copy of the Corresponding 
  Source for all the software in the product that is covered by this 
  License, on a durable physical medium customarily used for software 
  interchange, for a price no more than your reasonable cost of physically 
  performing this Conveying of source, or (2) access to copy the 
  Corresponding Source from a network server at no charge.

* **c)** Convey individual copies of the Object Code with a copy of the 
  written offer to provide the Corresponding Source. This alternative is 
  allowed only occasionally and noncommercially, and only if you received 
  the Object Code with such an offer, in accord with subsection 6(b).

* **d)** Convey the Object Code by offering access from a designated place 
  (gratis or for a charge), and offer equivalent access to the 
  Corresponding Source in the same way through the same place at no 
  further charge. You need not require recipients to copy the 
  Corresponding Source along with the Object Code. If the place to copy 
  the Object Code is a network server, the Corresponding Source may be on 
  a different server (operated by you or a third party) that supports 
  equivalent copying facilities, provided you maintain clear directions 
  next to the Object Code saying where to find the Corresponding Source. 
  Regardless of what server hosts the Corresponding Source, you remain 
  obligated to ensure that it is available for as long as needed to 
  satisfy these requirements.

* **e)** Convey the Object Code using peer-to-peer transmission, provided 
  you inform other peers where the Object Code and Corresponding Source of 
  the work are being offered to the general public at no charge under 
  subsection 6(d).

A separable portion of the Object Code, whose Source Code is excluded from 
the Corresponding Source as a System Library, need not be included in 
Conveying the Object Code work.

A "User Product" is either (1) a "consumer product", which means any 
tangible personal property which is normally used for personal, family, or 
household purposes, or (2) anything designed or sold for incorporation 
into a dwelling. In determining whether a product is a consumer product, 
doubtful cases shall be resolved in favor of coverage. For a particular 
product received by a particular user, "normally used" refers to a typical 
or common use of that class of product, regardless of the status of the 
particular user or of the way in which the particular user actually uses, 
or expects or is expected to use, the product. A product is a consumer 
product regardless of whether the product has substantial commercial, 
industrial or non-consumer uses, unless such uses represent the only 
significant mode of use of the product.

"Installation Information" for a User Product means any methods, 
procedures, authorization keys, or other information required to install 
and execute modified versions of a Covered Work in that User Product from 
a modified version of its Corresponding Source. The information must 
suffice to ensure that the continued functioning of the modified Object 
Code is in no case prevented or interfered with solely because 
modification has been made.

If you Convey an Object Code work under this section in, or with, or 
specifically for use in, a User Product, and the Conveying occurs as part 
of a transaction in which the right of possession and use of the User 
Product is transferred to the recipient in perpetuity or for a fixed term
(regardless of how the transaction is characterized), the Corresponding 
Source Conveyed under this section must be accompanied by the Installation 
Information. But this requirement does not apply if neither you nor any 
third party retains the ability to install modified Object Code on the 
User Product (for example, the work has been installed in ROM).

The requirement to provide Installation Information does not include a 
requirement to continue to provide support service, warranty, or updates 
for a work that has been modified or installed by the recipient, or for 
the User Product in which it has been modified or installed. Access to a 
network may be denied when the modification itself materially and 
adversely affects the operation of the network or violates the rules and 
protocols for communication across the network.

Corresponding Source Conveyed, and Installation Information provided, in 
accord with this section must be in a format that is publicly documented
(and with an implementation available to the public in Source Code form), 
and must require no special password or key for unpacking, reading or 
copying.

### 7. Additional Terms.

"Additional permissions" are terms that supplement the terms of this 
License by making exceptions from one or more of its conditions. 
Additional permissions that are applicable to the entire Program shall be 
treated as though they were included in this License, to the extent that 
they are valid under applicable law. If additional permissions apply only 
to part of the Program, that part may be used separately under those 
permissions, but the entire Program remains governed by this License 
without regard to the additional permissions.

When you Convey a copy of a Covered Work, you may at your option remove 
any additional permissions from that copy, or from any part of it.
(Additional permissions may be written to require their own removal in 
certain cases when you modify the work.) You may place additional 
permissions on material, added by you to a Covered Work, for which you 
have or can give appropriate copyright permission.

Notwithstanding any other provision of this License, for material you add 
to a Covered Work, you may (if authorized by the copyright holders of that 
material) supplement the terms of this License with terms:

* **a)** Disclaiming warranty or limiting liability differently from the 
  terms of sections 14 and 15 of this License; or

* **b)** Requiring preservation of specified reasonable legal notices or 
  author attributions in that material or in the Appropriate Legal Notices 
  displayed by works containing it; or

* **c)** Prohibiting misrepresentation of the origin of that material, or 
  requiring that modified versions of such material be marked in 
  reasonable ways as different from the original version; or

* **d)** Limiting the use for publicity purposes of names of licensors or 
  authors of the material; or

* **e)** Requiring indemnification of licensors and authors of that 
  material by anyone who Conveys the material (or modified versions of it) 
  with contractual assumptions of liability to the recipient, for any 
  liability that these contractual assumptions directly impose on those 
  licensors and authors.

All other non-permissive additional terms are considered "further 
restrictions"within the meaning of section ### 9. If the Program as you 
received it, or any part of it, contains a notice stating that it is 
governed by this License along with a term that is a further restriction, 
you may remove that term. If a license document contains a further 
restriction but permits relicensing or Conveying under this License, you 
may add to a Covered Work material governed by the terms of that license 
document, provided that the further restriction does not survive such 
relicensing or Conveying.

If you add terms to a Covered Work in accord with this section, you must 
place, in the relevant source files, a statement of the additional terms 
that apply to those files, or a notice indicating where to find the 
applicable terms.

Additional terms, permissive or non-permissive, may be stated in the form 
of a separately written license, or stated as exceptions; the above 
requirements apply either way.

### 8. Termination.

You may not Propagate or modify a Covered Work except as expressly 
provided under this License. Any attempt otherwise to Propagate or modify 
it is void, and will automatically terminate your rights under this 
License (including any patent licenses granted under the third paragraph 
of section 10).

However, if you cease all violation of this License, then your license 
from a particular copyright holder is reinstated (a) provisionally, unless 
and until the copyright holder explicitly and finally terminates your 
license, and (b) permanently, if the copyright holder fails to notify you 
of the violation by some reasonable means prior to 60 days after the 
cessation.

Moreover, your license from a particular copyright holder is reinstated 
permanently if the copyright holder notifies you of the violation by some 
reasonable means, this is the first time you have received notice of 
violation of this License (for any work) from that copyright holder, and 
you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the 
licenses of parties who have received copies or rights from you under this 
License. If your rights have been terminated and not permanently 
reinstated, you do not qualify to receive new licenses for the same 
material under section 9.

### 9. Automatic Licensing of Downstream Recipients.

Each time you Convey a Covered Work, the recipient automatically receives 
a license from the original licensors, to run, modify and Propagate that 
work, subject to this License. You are not responsible for enforcing 
compliance by third parties with this License.

An "entity transaction" is a transaction transferring control of an 
Organization, or substantially all assets of one, or subdividing an 
Organization, or merging Organizations. If propagation of a Covered Work 
results from an entity transaction, each party to that transaction who 
receives a copy of the work also receives whatever licenses to the work 
the party's predecessor in interest had or could give under the previous 
paragraph, plus a right to possession of the Corresponding Source of the 
work from the predecessor in interest, if the predecessor has it or can 
get it with reasonable efforts.

You may not impose any further restrictions on the exercise of the rights 
granted or affirmed under this License. For example, you may not impose a 
license fee, royalty, or other charge for exercise of rights granted under 
this License, and you may not initiate litigation (including a cross-claim 
or counterclaim in a lawsuit) alleging that any patent claim is infringed 
by making, using, selling, offering for sale, or importing the Program or 
any portion of it.

### 10. Patents.

A "contributor" is a copyright holder who authorizes use under this 
License of the Program or a work on which the Program is based. The work 
thus licensed is called the contributor's "contributor version".

A contributor's "essential patent claims" are all patent claims owned or 
controlled by the contributor, whether already acquired or hereafter 
acquired, that would be infringed by some manner, permitted by this 
License, of making, using, or selling its contributor version, but do not 
include claims that would be infringed only as a consequence of further 
modification of the contributor version. For purposes of this definition, 
"control" includes the right to grant patent sublicenses in a manner 
consistent with the requirements of this License.

Each contributor grants you a non-exclusive, worldwide, royalty-free 
patent license under the contributor's essential patent claims, to make, 
use, sell, offer for sale, import and otherwise run, modify and Propagate 
the contents of its contributor version.

In the following three paragraphs, a "patent license" is any express 
agreement or commitment, however denominated, not to enforce a patent
(such as an express permission to practice a patent or covenant not to sue 
for patent infringement). To "grant" such a patent license to a party 
means to make such an agreement or commitment not to enforce a patent 
against the party.

If you Convey a Covered Work, knowingly relying on a patent license, and 
the Corresponding Source of the work is not available for anyone to copy, 
free of charge and under the terms of this License, through a publicly 
available network server or other readily accessible means, then you must 
either (1) cause the Corresponding Source to be so available, or (2) 
arrange to deprive yourself of the benefit of the patent license for this 
particular work, or (3) arrange, in a manner consistent with the 
requirements of this License, to extend the patent license to downstream 
recipients. "Knowingly relying" means you have actual knowledge that, but 
for the patent license, your Conveying the Covered Work in a country, or 
your recipient's use of the Covered Work in a country, would infringe one 
or more identifiable patents in that country that you have reason to 
believe are valid.

If, pursuant to or in connection with a single transaction or arrangement, 
you Convey, or Propagate by procuring Conveyance of, a Covered Work, and 
grant a patent license to some of the parties receiving the Covered Work 
authorizing them to use, Propagate, modify or Convey a specific copy of 
the Covered Work, then the patent license you grant is automatically 
extended to all recipients of the Covered Work and works based on it.

A patent license is "discriminatory" if it does not include within the 
scope of its coverage, prohibits the exercise of, or is conditioned on the 
non-exercise of one or more of the rights that are specifically granted 
under this License. You may not Convey a Covered Work if you are a party 
to an arrangement with a third party that is in the business of 
distributing software, under which you make payment to the third party 
based on the extent of your activity of Conveying the work, and under 
which the third party grants, to any of the parties who would receive the 
Covered Work from you, a discriminatory patent license (a) in connection 
with copies of the Covered Work Conveyed by you (or copies made from those 
copies), or (b) primarily for and in connection with specific products or 
compilations that contain the Covered Work, unless you entered into that 
arrangement, or that patent license was granted, prior to 28 March 2007.

Nothing in this License shall be construed as excluding or limiting any 
implied license or other defenses to infringement that may otherwise be 
available to you under applicable patent law.

### 11. No Surrender of Others' Freedom.

If conditions are imposed on you (whether by court order, agreement or 
otherwise) that contradict the conditions of this License, they do not 
excuse you from the conditions of this License. If you cannot Convey a 
Covered Work so as to satisfy simultaneously your obligations under this 
License and any other pertinent obligations, then as a consequence you may 
not Convey it at all. For example, if you agree to terms that obligate you 
to collect a royalty for further Conveying from those to whom you Convey 
the Program, the only way you could satisfy both those terms and this 
License would be to refrain entirely from Conveying the Program.

### 12. Remote Network Interaction.

Notwithstanding any other provision of this License, if you modify the 
Program, your modified version must prominently offer all users 
interacting with it remotely through a computer network (if your version 
supports such interaction) an opportunity to receive the Corresponding 
Source of your version by providing access to the Corresponding Source 
from a network server at no charge, through some standard or customary 
means of facilitating copying of software.

### 13. Revised Versions of this License.

Each version is given a distinguishing version number. If the Program 
specifies that a certain numbered version of the Galah Group General 
Public License "or any later version" applies to it, you have the option 
of following the terms and conditions either of that numbered version or 
of any later version published by the Galah Group. If the Program does not 
specify a version number of the Galah Group General Public License, you 
may choose any version ever published by the Galah Group.

If the Program specifies that a proxy can decide which future versions of 
the Galah Group General Public License can be used, that proxy's public 
statement of acceptance of a version permanently authorizes you to choose 
that version for the Program.

Later license versions may give you additional or different permissions. 
However, no additional obligations are imposed on any author or copyright 
holder as a result of your choosing to follow a later version.

### 14. Disclaimer of Warranty.

THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY 
APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT 
HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY 
OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, 
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 
PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM 
IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF 
ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

### 15. Limitation of Liability.

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL 
ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE 
PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY 
GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE 
USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF 
DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD 
PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), 
EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF 
SUCH DAMAGES.

### 16. Interpretation of Sections 14 and 15.

If the disclaimer of warranty and limitation of liability provided above 
cannot be given local legal effect according to their terms, reviewing 
courts shall apply local law that most closely approximates an absolute 
waiver of all civil liability in connection with the Program, unless a 
warranty or assumption of liability accompanies a copy of the Program in 
return for a fee.
